Description

/config_templates?format=json returns too much data.  I simply want a list of templates and some attributes instead of the code

thats inside the templates.  If I want the code inside the template it would be better to pass the name of a template or id like:

config_templates/grubby?format=json

Here is a sample of what gets returned now:

[{"config_template":{"name":"Grubby Default","template":"#!/bin/bash\n\nKERNEL=\"/boot/kernel\"\nI

NITRD=\"/boot/initrd.img\"\n\nwget 

-O \"$KERNEL\" \"<%= @host.url_for_boot(:kernel) %>\"\nwget -O \"$INITRD\" \"<%= @host.url_for_boo

t(:initrd) %>\"\n\ngrubby 

--add-kernel=$KERNEL --initrd=$INITRD  --copy-default --title \"<%= @host.operatingsystem %>\" --m

ake-default  --args=\

"ks=<%= foreman_url(\"provision\")%>\"\n","snippet":null}},{"config_template":{"name":"HTTP proxy"

,"template":" 

<% if proxy = @host.params[\"http_proxy\"] -%>\nhttp_proxy=<%= proxy %>\nexport http_proxy\nhttps_

proxy=<%= proxy %>

\nexport https_proxy\nno_proxy=localhost,127.0.0.0/8,*.local,*.<%= @host.domain.name -%>,puppet\ne

xport no_proxy\n

<% end -%>\n","snippet":true}},{"config_template":{"name":"Jumpstart Default","template":"install_

type <%= @install_type %>\npartitioning explicit\n<%= @disk %>\n<% if @h

Associated revisions

Revision 630eae9c - 10/03/2011 04:48 AM - Corey Osman

fixes #1123 api for config_templates needs to return additional attributes

Signed-off-by: Corey Osman <corey@logicminds.biz>

History

#1 - 09/07/2011 08:26 PM - Corey Osman

- Assignee set to Corey Osman

- Target version set to 0.4

#2 - 10/03/2011 04:47 AM - Ohad Levy

- Subject changed from api for config_templates returns too much data to api for config_templates needs to return additional attributes

#3 - 10/03/2011 04:47 AM - Ohad Levy

- Tracker changed from Bug to Feature

#4 - 10/03/2011 05:17 AM - Corey Osman

- Status changed from New to Closed
- % Done changed from 0 to 100

Applied in changeset 630eae9ccf8a817b5845af1332274d7f8f4bb45f.
